Skip to main content
POST
Create bill

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to create the bill for

Body

application/json
received_at
string<date-time>
required

When the bill was received by the business from the vendor.

line_items
object[]
required

Line items making up the bill.

external_id
string

External ID for the bill within your platform. Idempotency key.

due_at
string<date-time>

When the bill is due. Either due_at or bill_terms must be specified, but not both.

bill_terms
enum<string>

Payment terms for the bill. Either due_at or bill_terms must be specified, but not both.

Available options:
DUE_ON_RECEIPT,
NET_10,
NET_15,
NET_30,
NET_60
memo
string

Memo for any text you would like to associate with the bill (for example, to display to end users).

vendor_id
string<uuid>

ID of the vendor to associate with the bill. Either vendor_id or vendor_external_id must be specified.

vendor_external_id
string

External ID of the vendor to associate with the bill. Either vendor_id or vendor_external_id must be specified.

payments
object[]

Payments that have been made towards the balance of the bill.

additional_sales_taxes
object[]

Additional sales tax line items for the bill.

tags
object[]
metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the bill. Can be used to filter when listing bills.

Response

201 - application/json

Bill created successfully

id
string<uuid>

Unique identifier for the bill.

business_id
string<uuid>

ID of the Business that received the bill.

external_id
string | null

Unique ID of the bill in your system.

status
enum<string>

Status of the bill.

Available options:
RECEIVED,
PARTIALLY_PAID,
PAID,
VOIDED
terms
enum<string>

Payment terms of the bill.

Available options:
DUE_ON_RECEIPT,
NET_10,
NET_15,
NET_30,
NET_60
received_at
string<date-time>

When the bill was received.

due_at
string<date-time> | null

When the bill is due.

paid_at
string<date-time> | null

When the bill was paid.

voided_at
string<date-time> | null

When the bill was voided.

memo
string

Memo for the bill for display.

line_items
object[]

Line items making up the bill

additional_sales_taxes
object[]

Additional sales tax line items

additional_sales_taxes_total
integer

Sum of all additional taxes in cents

subtotal
integer

Subtotal of all line items in cents

total_amount
integer

Total amount including taxes in cents

outstanding_balance
integer

Remaining balance after payments in cents

payment_allocations
object[]

Payment allocations for this bill

vendor_credits
object[]

Vendor credit allocations for this bill

imported_at
string<date-time>

When the bill was imported

updated_at
string<date-time>

When the bill was last updated

vendor
object

The vendor associated with this bill

transaction_tags
object[]
metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the bill. Can be used to filter when listing bills.